MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023261Community[OCCT] OCCT:Visualizationpublic2012-07-11 16:272012-11-16 13:16
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2005OS Version32 bit
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023261: Checking handle value against NULL
DescriptionThe following handles:

V3d_LineItem::V3d_LineItem (ViewerTest_ViewerCommands.cxx line 2368)
NIS_Surface::SetDisplayMode (NIS_Surface.cxx line 489)

should be checked with IsNull() instead of directly against NULL.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0020915)
Pawel (developer)
2012-07-11 16:40

Corresponding git branch pushed. Please review.
(0020916)
abv (manager)
2012-07-11 16:54

No remarks, please test
(0020925)
abv (manager)
2012-07-12 12:19

Error corrected, please test
(0020939)
mkv (tester)
2012-07-12 19:57

Dear BugMaster,
The workbenches
KAS:dev:mkv-23261-occt (GIT branch CR23261)
KAS:dev:mkv-23261-products (GIT master)
were compiled on Linux platform and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

See results in /QADisk/occttests/results/KAS/dev/mkv-23261-products_12072012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120622-opt_22062012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]

- Related Changesets
occt: master 9e4c2fbb
Timestamp: 2012-07-13 13:31:19
Author: Pawel
Details ] Diff ]
0023261: Checking handle value against NULL

Checking handles using the IsNull() method.
Minor correction of compilation error (missing parentheses in function call)
mod - src/NIS/NIS_Surface.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-11 16:27 Pawel New Issue
2012-07-11 16:27 Pawel Assigned To => Pawel
2012-07-11 16:40 Pawel Note Added: 0020915
2012-07-11 16:40 Pawel Assigned To Pawel => bugmaster
2012-07-11 16:40 Pawel Status new => resolved
2012-07-11 16:54 abv Note Added: 0020916
2012-07-11 16:54 abv Status resolved => reviewed
2012-07-11 17:05 mkv Assigned To bugmaster => mkv
2012-07-12 10:04 mkv Test case number => Not needed
2012-07-12 10:04 mkv Assigned To mkv => abv
2012-07-12 10:04 mkv Status reviewed => assigned
2012-07-12 12:19 abv Note Added: 0020925
2012-07-12 12:19 abv Assigned To abv => bugmaster
2012-07-12 12:19 abv Status assigned => resolved
2012-07-12 12:19 abv Status resolved => reviewed
2012-07-12 13:18 mkv Assigned To bugmaster => mkv
2012-07-12 19:57 mkv Note Added: 0020939
2012-07-12 19:58 mkv Assigned To mkv => bugmaster
2012-07-12 19:58 mkv Status reviewed => tested
2012-07-17 17:50 Pawel Changeset attached => occt master 9e4c2fbb
2012-07-17 17:50 Pawel Assigned To bugmaster => Pawel
2012-07-17 17:50 Pawel Status tested => verified
2012-07-17 17:50 Pawel Resolution open => fixed
2012-11-16 13:15 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:16 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker